Imports Microsoft.VisualStudio.DebuggerVisualizers


<Assembly: DebuggerVisualizer("Fabio.Visualizer.FunnyVisualizer", _
"Fabio.Visualizer.FunnyVisualizerSource", _
Target:=GetType(System.Data.DataSet), _
Description:="Fabio Dataset Visualizer")> 

<DebuggerVisualizer("Fabio.Visualizer.FunnyVisualizer", _
"Fabio.Visualizer.FunnyVisualizerSource")> _
Public Class FunnyVisualizer
    Inherits DialogDebuggerVisualizer

    Protected Overloads Overrides Sub Show(ByVal windowService As Microsoft.VisualStudio.DebuggerVisualizers.IDialogVisualizerService, ByVal objectProvider As Microsoft.VisualStudio.DebuggerVisualizers.IVisualizerObjectProvider)
        Dim funnyLauncher As New FunnyLauncher

        funnyLauncher.SetObjectProvider(objectProvider)
    End Sub
End Class
